package com.as.login.controller;

import com.as.common.exception.base.BaseException;
import com.as.common.json.requestJSON;
import com.as.login.service.UserLoginService;
import com.as.user.controller.userContorller;
import com.as.user.dao.UserData;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.List;

/***
 * @description: 登录接口
 * @param: null
 * @return:
 * @author: Lyu
 * @date: 2024/3/8 23:19
 */

@Controller
public class UserLoginContorller {
    @Autowired
    private UserLoginService userLoginService;
    private static final Logger logger = LogManager.getLogger(UserLoginContorller.class);

    /***
     * @description: 登录查询用户是否合法
     * @param: data
     * @return: com.as.common.json.requestJSON<java.util.List < com.as.user.dao.UserData>>
     * @author: Lyu
     * @date: 2024/3/8 23:20
     */

    @RequestMapping(value = "/login", method = RequestMethod.POST)
    @ResponseBody
    public requestJSON<HashMap<String,Object>> findUser(@RequestBody UserData data) {
        logger.info("login方法，接收到数据data:" + data.toString());
        
//        userLoginService.login(data.getUserId(), data.getPwd());
        
        return userLoginService.login(data.getUserId(), data.getPwd());
    }

}
